Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	GUI frontend for dvdauthor
Name:		qdvdauthor
Version:	1.7.0
Release:	1
License:	GNU/GPL
Url:		http://qdvdauthor.sourceforge.net/
Group:		Multimedia/Video
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	dvdauthor

# Needed for downloading latest ffmpeg
BuildRequires: wget

#Automatically resolved build dependencies
BuildRequires: bzip2-devel
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: libtheora-1.0-devel
BuildRequires: libvorbis-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: qt3-devel
BuildRequires: qt4-devel
BuildRequires: xine-lib-devel
BuildRequires: zlib-devel

%define		qdvdauthor_dir	%{name}-%{version}

%description
GUI frontend for dvdauthor.

%prep
%setup -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--no-configurator

%install
rm -rf $RPM_BUILD_ROOT 
mkdir -p $RPM_BUILD_ROOT%{_prefix}/bin
mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/pixmaps
mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/applications
mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/qdvdauthor/i18n
mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/qdvdauthor/html/en
mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/qdvdauthor/plugins
mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/qdvdauthor/plugins/simpledvd
mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/qdvdauthor/plugins/complexdvd
mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/qdvdauthor/lib

install -m 0755 $RPM_BUILD_DIR/%{qdvdauthor_dir}/bin/qdvdauthor \
	$RPM_BUILD_ROOT%{_prefix}/bin
install -m 0755 $RPM_BUILD_DIR/%{qdvdauthor_dir}/bin/qplayer \
	$RPM_BUILD_ROOT%{_prefix}/bin
install -m 0755 $RPM_BUILD_DIR/%{qdvdauthor_dir}/bin/qrender \
	$RPM_BUILD_ROOT%{_prefix}/bin
install -m 0644 $RPM_BUILD_DIR/%{qdvdauthor_dir}/qdvdauthor.png \
	$RPM_BUILD_ROOT%{_prefix}/share/pixmaps
install -m 0644 $RPM_BUILD_DIR/%{qdvdauthor_dir}/qdvdauthor.desktop \
	$RPM_BUILD_ROOT%{_prefix}/share/applications
install -m 0644 $RPM_BUILD_DIR/%{qdvdauthor_dir}/doc/html/en/*.html \
	$RPM_BUILD_ROOT%{_prefix}/share/qdvdauthor/html/en
install -m 0644 $RPM_BUILD_DIR/%{qdvdauthor_dir}/silence.mp2 \
	$RPM_BUILD_ROOT%{_prefix}/share/qdvdauthor
install -m 0644 $RPM_BUILD_DIR/%{qdvdauthor_dir}/silence.ac3 \
	$RPM_BUILD_ROOT%{_prefix}/share/qdvdauthor
install -m 0644 $RPM_BUILD_DIR/%{qdvdauthor_dir}/qdvdauthor/plugins/plugins/libcomplexdvd.so* \
	$RPM_BUILD_ROOT%{_prefix}/share/qdvdauthor/plugins
install -m 0644 $RPM_BUILD_DIR/%{qdvdauthor_dir}/qdvdauthor/plugins/plugins/libsimpledvd.so* \
	$RPM_BUILD_ROOT%{_prefix}/share/qdvdauthor/plugins
install -m 0644 $RPM_BUILD_DIR/%{qdvdauthor_dir}/qdvdauthor/plugins/complexdvd/*.jpg \
	$RPM_BUILD_ROOT%{_prefix}/share/qdvdauthor/plugins/complexdvd
install -m 0644 $RPM_BUILD_DIR/%{qdvdauthor_dir}/qdvdauthor/plugins/complexdvd/*.png \
	$RPM_BUILD_ROOT%{_prefix}/share/qdvdauthor/plugins/complexdvd
install -m 0644 $RPM_BUILD_DIR/%{qdvdauthor_dir}/qdvdauthor/plugins/simpledvd/*.jpg \
	$RPM_BUILD_ROOT%{_prefix}/share/qdvdauthor/plugins/simpledvd
install -m 0644 $RPM_BUILD_DIR/%{qdvdauthor_dir}/qdvdauthor/plugins/simpledvd/*.png \
	$RPM_BUILD_ROOT%{_prefix}/share/qdvdauthor/plugins/simpledvd
install -m 0755 lib/*so* $RPM_BUILD_ROOT%{_prefix}/share/qdvdauthor/lib/

cp -p $RPM_BUILD_DIR/%{qdvdauthor_dir}/qdvdauthor/i18n/*.qm \
		$RPM_BUILD_ROOT%{_prefix}/share/qdvdauthor/i18n/

%files
%defattr(-,root,root)
%_bindir
%_datadir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Jan 19 2009 Christian Wasem <wasem@ccux-linux.de> 1.7.0-1
- Version update
* Sun Dec 14 2008 Christian Wasem <wasem@ccux-linux.de> 1.6.1-1
- Version update
* Mon May 19 2008 Christian Wasem <wasem@ccux-linux.de> 1.2.0-1
- Version update
* Tue Apr 01 2008 Christian Wasem <wasem@ccux-linux.de> 1.1.0-1
- Version update
* Thu Nov 22 2007 Christian Metzen <metzench@ccux-linux.de> 1.0.0-2
- Version update to rc3
* Wed Nov 21 2007 Christian Metzen <metzench@ccux-linux.de> 1.0.0-1
- Version update
* Wed Aug 02 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.1.1-1
- Initial Release
